Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.5.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.product
Class MeasurementInfo

    java.lang.Object
      org.hyperic.hq.product.MeasurementInfo

All Implemented Interfaces:
  Serializable, Cloneable

    public class MeasurementInfo

extends Object
implements Cloneable, Serializable

Carry information about measurement templates

See Also:
  Serialized Form

Field Summary
`static String` | `ATTR_ALIAS`
`static String` | `ATTR_CATEGORY`
`static String` | `ATTR_COLLECTION_TYPE`
`static String` | `ATTR_DEFAULTON`
`static String` | `ATTR_GROUP`
`static String` | `ATTR_INDICATOR`
`static String` | `ATTR_INTERVAL`
`static String` | `ATTR_NAME`
`static String` | `ATTR_RATE`
`static String` | `ATTR_TEMPLATE`
`static String` | `ATTR_UNITS`
`static String` | `DEFAULT_RATE`
`static String` | `HOUR_RATE`
`static String` | `MIN_RATE`
`static String` | `NO_RATE`
`static String` | `RATE_KEY`
`static String` | `SEC_RATE`

Constructor Summary
`MeasurementInfo()`

Method Summary
`Object` | `clone()`
`String` | `getAlias()`
`Map` | `getAttributes()`
`String` | `getCategory()`
`int` | `getCollectionType()`
`String` | `getGroup()`
`long` | `getInterval()`
`String` | `getName()`
`String` | `getRate()`
`String` | `getReadableRate()`
`String` | `getTemplate()`
`String` | `getUnits()`
`boolean` | `isDefaultOn()`
`boolean` | `isIndicator()`
`void` | `setAlias(String alias)`
`void` | `setAttributes(Map attrs)`
`void` | `setCategory(String category)`
`void` | `setCollectionType(int i)`
`void` | `setDefaultOn(boolean defaultOn)` Sets the defaultOn.
`void` | `setGroup(String group)`
`void` | `setIndicator(boolean indicator)` Sets the designate.
`void` | `setInterval(long interval)` Sets the interval.
`void` | `setName(String name)`
`void` | `setRate(String rate)` Sets the rate.
`void` | `setTemplate(String template)`
`void` | `setUnits(String units)` Sets the units.
`String` | `toXML()`
`String` | `toXML(String indent)`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ATTR_NAME

    public static final String ATTR_NAME

See Also:
  Constant Field Values

### ATTR_ALIAS

    public static final String ATTR_ALIAS

See Also:
  Constant Field Values

### ATTR_TEMPLATE

    public static final String ATTR_TEMPLATE

See Also:
  Constant Field Values

### ATTR_CATEGORY

    public static final String ATTR_CATEGORY

See Also:
  Constant Field Values

### ATTR_GROUP

    public static final String ATTR_GROUP

See Also:
  Constant Field Values

### ATTR_UNITS

    public static final String ATTR_UNITS

See Also:
  Constant Field Values

### ATTR_RATE

    public static final String ATTR_RATE

See Also:
  Constant Field Values

### ATTR_COLLECTION_TYPE

    public static final String ATTR_COLLECTION_TYPE

See Also:
  Constant Field Values

### ATTR_DEFAULTON

    public static final String ATTR_DEFAULTON

See Also:
  Constant Field Values

### ATTR_INDICATOR

    public static final String ATTR_INDICATOR

See Also:
  Constant Field Values

### ATTR_INTERVAL

    public static final String ATTR_INTERVAL

See Also:
  Constant Field Values

### SEC_RATE

    public static final String SEC_RATE

See Also:
  Constant Field Values

### MIN_RATE

    public static final String MIN_RATE

See Also:
  Constant Field Values

### HOUR_RATE

    public static final String HOUR_RATE

See Also:
  Constant Field Values

### NO_RATE

    public static final String NO_RATE

See Also:
  Constant Field Values

### DEFAULT_RATE

    public static final String DEFAULT_RATE

See Also:
  Constant Field Values

### RATE_KEY

    public static final String RATE_KEY

See Also:
  Constant Field Values

Constructor Detail

### MeasurementInfo

    public MeasurementInfo()

Method Detail

### clone

    public Object clone()

  Overrides:
    `clone` in class `Object`

### setAttributes

    public void setAttributes(Map attrs)

### toXML

    public String toXML()

### toXML

    public String toXML(String indent)

### getAttributes

    public Map getAttributes()

### getName

    public String getName()

### setName

    public void setName(String name)

### getAlias

    public String getAlias()

### setAlias

    public void setAlias(String alias)

### getTemplate

    public String getTemplate()

### setTemplate

    public void setTemplate(String template)

### getCategory

    public String getCategory()

### setCategory

    public void setCategory(String category)

### getGroup

    public String getGroup()

### setGroup

    public void setGroup(String group)

### isDefaultOn

    public boolean isDefaultOn()

  Returns:
    boolean

### setDefaultOn

    public void setDefaultOn(boolean defaultOn)

  Sets the defaultOn.

  Parameters:
    `defaultOn` - The defaultOn to set

### getUnits

    public String getUnits()

  Returns:
    String

### setUnits

    public void setUnits(String units)

  Sets the units.

  Parameters:
    `units` - The units to set

### getInterval

    public long getInterval()

  Returns:
    long

### setInterval

    public void setInterval(long interval)

  Sets the interval.

  Parameters:
    `interval` - The interval to set

### isIndicator

    public boolean isIndicator()

  Returns:
    boolean

### setIndicator

    public void setIndicator(boolean indicator)

  Sets the designate.

  Parameters:
    `indicator` - The designate to set

### getCollectionType

    public int getCollectionType()

  Returns:
    the collection type

### setCollectionType

    public void setCollectionType(int i)

  Parameters:
    `i` - the new collection type

### getRate

    public String getRate()

  Returns:
    String

### setRate

    public void setRate(String rate)

  Sets the rate.

  Parameters:
    `rate` - The rate to set

### getReadableRate

    public String getReadableRate()

  Returns:
    Human readable form of the rate

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.5.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2010 Hyperic, Inc. support@hyperic.net, All Rights Reserved.